import request from '@/utils/request'

// 查询负面清单列表列表
export function listNegativeListRecords(query) {
  return request({
    url: '/laboratory/negativeListRecords/list',
    method: 'get',
    params: query
  })
}

// 查询负面清单列表详细
export function getNegativeListRecords(id) {
  return request({
    url: '/laboratory/negativeListRecords/' + id,
    method: 'get'
  })
}

// 新增负面清单列表
export function addNegativeListRecords(data) {
  return request({
    url: '/laboratory/negativeListRecords',
    method: 'post',
    data: data
  })
}

// 修改负面清单列表
export function updateNegativeListRecords(data) {
  return request({
    url: '/laboratory/negativeListRecords',
    method: 'put',
    data: data
  })
}

// 删除负面清单列表
export function delNegativeListRecords(id) {
  return request({
    url: '/laboratory/negativeListRecords/' + id,
    method: 'delete'
  })
}

// 查询负面清单列表历史列表
export function negativeListHistory(query) {
  return request({
    url: '/laboratory/negativeListHistory/list',
    method: 'get',
    params: query
  })
}

//移除黑名单
export function delBlacklist(data) {
  return request({
    url: '/laboratory/violation/delBlacklistByPc',
    method: 'post',
    data: data
  })
}

//添加黑名单
export function blackAdd(data) {
  return request({
    url: '/laboratory/violation/blackAdd',
    method: 'post',
    data: data
  })
}

//移除负面清单
export function delNegivelist(data) {
  return request({
    url: '/laboratory/violation/delNegivelistByPc',
    method: 'post',
    data: data
  })
}
